[Pixman] Pushing unreviewed patches to the pixman git repository

Adam Jackson ajax at redhat.com
Thu Jun 7 15:36:24 UTC 2018


On Thu, 2018-06-07 at 00:28 +0100, Chris Wilson wrote:

> On a similar topic: now that we have the gitlab instance, how do we go
> about enabling the reftests to be run automatically?

You push, and it happens:

https://gitlab.freedesktop.org/pixman/pixman/-/jobs

The change to enable this was unreviewed; mea maxima culpa. There's no
magic in it, at least:

---

commit 9034d0cc3241c56cbe3bdbc98247a68e3529ee48 (gitlab/ci, tmp, ci)
Author: Adam Jackson <ajax at redhat.com>
Date:   Thu May 31 12:32:18 2018 -0400

    ci: Add .gitlab-ci.yml
    
    Just builds on Fedora 28 for x86_64 at the moment, but it's a start.
    Credit to Daniel Stone for eliminating the nested docker image.
    
    Signed-off-by: Adam Jackson <ajax at redhat.com>

diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
new file mode 100644
index 0000000..b506ca3
--- /dev/null
+++ b/.gitlab-ci.yml
@@ -0,0 +1,9 @@
+image: fedora:28
+
+job:
+    script:
+    - dnf -y install dnf-plugins-core
+    - dnf -y groupinstall buildsys-build
+    - dnf -y builddep pixman
+    - ./autogen.sh
+    - make -sj4 check
\ No newline at end of file
diff --git a/contrib/ci.sh b/contrib/ci.sh
new file mode 100755
index 0000000..48b3e77
--- /dev/null
+++ b/contrib/ci.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+set -ex
+
+./autogen.sh
+make -sj4 check

---

D'oh, ought to call ci.sh from the script: section.

If you make your own fork of the repo, it'll automatically have CI
enabled too, so anything you push will get tested. One thing I wanted
to look into was getting enough of a qemu-user and cross-compiler
environment to be able to test on at least emulated non-x86.

- ajax


More information about the Pixman mailing list